> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check whether the visual editor will work on a URL



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /engagement/editor/precheck
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/editor/precheck:
    post:
      tags:
        - Engagement Editor
      summary: Check whether the visual editor will work on a URL
      operationId: Precheck
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditorPrecheckBody'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditorPrecheckResult'
      security:
        - jwt: []
components:
  schemas:
    EditorPrecheckBody:
      properties:
        url:
          type: string
        engagementType:
          type: string
          enum:
            - tooltips
            - producttours
      required:
        - url
      type: object
      additionalProperties: false
    EditorPrecheckResult:
      properties:
        ok:
          type: boolean
        reachable:
          type: boolean
        finalUrl:
          type: string
        blockers:
          items:
            $ref: '#/components/schemas/PrecheckIssue'
          type: array
        warnings:
          items:
            $ref: '#/components/schemas/PrecheckIssue'
          type: array
      required:
        - ok
        - reachable
        - finalUrl
        - blockers
        - warnings
      type: object
      additionalProperties: false
    PrecheckIssue:
      properties:
        code:
          type: string
        message:
          type: string
        fix:
          type: string
        docUrl:
          type: string
      required:
        - code
        - message
        - fix
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````